package org.xdoclet.plugin.qtags.qtags;

public class QtagsLocationTagImpl extends org.xdoclet.XDocletTag implements org.xdoclet.plugin.qtags.qtags.QtagsLocationTag {
    public static final String NAME = "qtags.location";
    private static final java.util.List ALLOWED_PARAMETERS = java.util.Arrays.asList( new String[] {
    	""
    });
    
    private static final java.util.List ALLOWED_VALUES = java.util.Arrays.asList( new String[] {
        "class",
        "method",
        "constructor",
        "field",
        ""
    });
    public QtagsLocationTagImpl(String name, String value, com.thoughtworks.qdox.model.AbstractJavaEntity entity, int lineNumber, org.xdoclet.QDoxPropertyExpander expander) {
        super(name, value, entity, lineNumber, expander);
    }
    public QtagsLocationTagImpl(String name, String value, com.thoughtworks.qdox.model.AbstractJavaEntity entity, int lineNumber) {
        super(name, value, entity, lineNumber);
    }


    protected void validateLocation() {
        if(isOnField) {
            bomb("is not allowed on fields");
        }
		if(isOnConstructor) {
        	bomb("is not allowed on constructors");
		}
		if(isOnMethod) {
        	bomb("is not allowed on methods");
		}
        
        // check uniqueness

        // warn deprecation
        
        // check for allowed values for whole tag
        if( ALLOWED_VALUES.size() > 1 && !ALLOWED_VALUES.contains(getValue())) {
            bomb( "\"" + getValue() +"\" is not a valid value. Allowed values are  \"class\"\n \"method\"\n \"constructor\"\n \"field\"\n");
        }        
        
        // Get all the parameters to validate their contents
    }

    public void validateModel() {
        // check uniqueness
    }
}