package org.xdoclet.plugin.qtags.qtags;

import org.generama.MetadataProvider;

public class TagLibrary {
    public static final String QTAGS_ALIAS = QtagsAliasTagImpl.NAME;
    public static final String QTAGS_ALLOWED_VALUE = QtagsAllowedValueTagImpl.NAME;
    public static final String QTAGS_DEFAULT = QtagsDefaultTagImpl.NAME;
    public static final String QTAGS_DEPRECATED = QtagsDeprecatedTagImpl.NAME;
    public static final String QTAGS_IGNORE = QtagsIgnoreTagImpl.NAME;
    public static final String QTAGS_LIST_TOKEN = QtagsListTokenImpl.NAME;
    public static final String QTAGS_LOCATION = QtagsLocationTagImpl.NAME;
    public static final String QTAGS_ONCE = QtagsOnceTagImpl.NAME;
    public static final String QTAGS_REQUIRED = QtagsRequiredTagImpl.NAME;
    public static final String QTAGS_VERBATIM = QtagsVerbatimTagImpl.NAME;

    public TagLibrary(MetadataProvider metadataProvider) {
        metadataProvider.getDocletTagFactory().registerTag(QtagsAliasTagImpl.NAME, QtagsAliasTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(QtagsAllowedValueTagImpl.NAME, QtagsAllowedValueTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(QtagsDefaultTagImpl.NAME, QtagsDefaultTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(QtagsDeprecatedTagImpl.NAME, QtagsDeprecatedTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(QtagsIgnoreTagImpl.NAME, QtagsIgnoreTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(QtagsListTokenImpl.NAME, QtagsListTokenImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(QtagsLocationTagImpl.NAME, QtagsLocationTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(QtagsOnceTagImpl.NAME, QtagsOnceTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(QtagsRequiredTagImpl.NAME, QtagsRequiredTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(QtagsVerbatimTagImpl.NAME, QtagsVerbatimTagImpl.class);
    }
}
